# Generated from codebreaker_diz-0.2.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name codebreaker_diz

Name: rubygem-%{gem_name}
Version: 0.2.9
Release: 1%{?dist}
Summary: Codebreaker game
License: MIT
URL: https://github.com/bl0rch1d/codebreaker_diz
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.5
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.69.0
# BuildRequires: rubygem(rubocop) < 0.70
# BuildRequires: rubygem(rubocop-performance) >= 1.3
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 1.33
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(fasterer) >= 0.5.1
# BuildRequires: rubygem(fasterer) < 0.6
# BuildRequires: rubygem(overcommit) >= 0.48.0
# BuildRequires: rubygem(overcommit) < 0.49
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(pry) >= 0.12.2
# BuildRequires: rubygem(pry) < 0.13
# BuildRequires: rubygem(bundle-audit) >= 0.1.0
# BuildRequires: rubygem(bundle-audit) < 0.2
BuildArch: noarch

%description
Game for true Hackers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.circleci
%{gem_instdir}/.fasterer.yml
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.overcommit.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/autotest.sh
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/codebreaker_diz.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.9-1
- Initial package
